Get Invoice Details

Retrieves detailed information for a specific invoice, including customer information, invoice amount, payment status, and related transaction data. The request should include the invoice ID and required authentication credentials

GET
/api/v1/invoice/{id}

Base URL

Sandbox Base URL

Strictly for sandbox testing. Never use the sandbox URL in your production environment.
https://merchantapisandbox.hesabe.com

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Pass access token obtained from login endpoint

Header Parameters

accessCode*string

Pass the merchant access code issued by Hesabe

Accept*string

application/json

Content-Type*string

application/json

Path Parameters

id*number

Pass the invoice object "id" field number

Query Parameters

data*string

Pass the encrypted payload as a query parameter

Response Body

Details fetched successfully. Decrypt the server response to view the final result

application/json
  1. response
id?integer
invoice_type?integer
invoice_sub_type?integer
token?string
access_key?string
split_access_key?string
merchant_id?string
reference_number?string
amount?string
service_charge?string
payment_method?array<string>
discount?string
description?string
sms_response?string
invoice_status?integer
subscription?string|null
sms_status?integer
url_status?integer
visited_count?integer
country_id?string|null
created_id?integer
language?string
expires_at?string
Formatdate
attachment?string
url?string
spliturl?string|null
created_at?string
Formatdate-time
updated_at?string
Formatdate-time
customer?
created_by_merchant?
products?array<unknown>
transaction?
Example Request
fetch("https://merchantapisandbox.hesabe.com/api/v1/invoice/14696?data=0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65", {  method: "GET",  headers: {    "accessCode": "c333729b-d060-4b74-a49d-7686a8353481",    "Accept": "application/json",    "Content-Type": "application/json"  }})
Example Response
{  "id": 14696,  "invoice_type": 1,  "invoice_sub_type": 3,  "token": "3118174834216193364264",  "access_key": "9E4Y773Q",  "split_access_key": "",  "merchant_id": "3118",  "reference_number": "31188232353",  "amount": "15.000",  "service_charge": "0.000",  "payment_method": [    "1",    "2",    "7",    "9"  ],  "discount": "0.000",  "description": "",  "sms_response": "",  "invoice_status": 1,  "subscription": null,  "sms_status": 0,  "url_status": 1,  "visited_count": 1,  "country_id": null,  "created_id": 3705,  "language": "en",  "expires_at": "2025-05-30",  "attachment": "",  "url": "https://merchantapisandbox.hesabe.com/s/9E4Y773Q",  "spliturl": null,  "created_at": "2025-05-27 13:36:01",  "updated_at": "2025-05-27 13:36:32",  "customer": {    "name": "jusaira",    "email": "",    "phone_number": null  },  "created_by_merchant": {    "id": 3705,    "name": "refundemployee"  },  "products": [    null  ],  "transaction": {    "id": 1190281,    "amount": 15,    "net_amount": 14.9,    "commission": 0.1,    "admin_charge": 0,    "token": "string",    "payment_type_id": 1,    "service_type_id": 2,    "payment_transfer_status": 2,    "payment_status": 1,    "auth_status": 0,    "refund_status": 0,    "description": "string",    "order_reference_number": "string",    "transaction_payment_id": "string",    "result_code": "CAPTURED",    "transaction_id": "string",    "auth": "string",    "transaction_reference_number": "string",    "track_id": "string",    "terminal_id": "string",    "bank_name": "string",    "reconciled_document_number": "string",    "payment_transfer_document_number": "string",    "pending_auth_amount": 0,    "created_at": "string",    "updated_at": "string",    "balance_amount": 0,    "merchant": {      "merchant_id": 0,      "name": "string",      "code": "string",      "sequence_id": 0,      "company_name": "string",      "company_logo": "string",      "business_name": "string"    },    "payment_type": {      "id": 0,      "name": "string",      "display_name": "string"    },    "service_type": {      "id": 0,      "name": "string"    },    "payment_gateway": {      "variable_1": "string",      "variable_2": "string",      "variable_3": "string",      "variable_4": "string",      "variable_5": "string",      "version": 0    },    "reconciliation": "string",    "payment_transfer": "string",    "refund": [      {        "id": 0,        "amount": "string",        "refund_at": "string",        "document_number": "string",        "recover_method": "string",        "status": 0,        "refund_method": "string",        "approved_by": "string",        "balance_amount": "string",        "remark": "string",        "created_at": "string",        "updated_at": "string"      }    ],    "invoice": {      "created_by_id": 0,      "created_name": "string",      "reference_number": "string",      "phone_number": "string",      "customer_name": "string",      "amount": "string",      "admin_charge_paid": "string",      "rentperiod": "string",      "description": "string",      "invoice_sub_type": 0,      "subscription_amount": 0,      "subscription_count": 0,      "start_date": "string",      "frequency": "string"    },    "sales_order": "string",    "payment_card_detail": {      "card_number": "string",      "name_on_card": "jusaira",      "issuer_name": "string"    },    "customer": {      "id": "string",      "name": "string",      "mobile_number": "string",      "email": "string"    },    "Rental_Asset": "string",    "Rental_Unit": "string",    "Rental_Tenant": "string"  }}